Create a company

Create a new company (organization/account) in your team. Companies represent businesses and organizations in your B2B CRM.

Use Cases:

  • Add prospects from website forms
  • Import companies from external systems
  • Create accounts manually
  • Sync companies from LinkedIn or other platforms

Required vs Optional:

  • Only name is required
  • Emails, phones, and addresses are optional but recommended
  • Tags can be added during creation for immediate categorization
  • Custom fields can be set using the pattern customFieldName

Example - Minimal Company:

{
  "name": "Acme Corporation"
}

Example - Full Company:

{
  "name": "Acme Corporation",
  "industry": "Technology",
  "website": "https://acme.com",
  "description": "Leading provider of innovative solutions",
  "companySize": "51-200",
  "annualRevenue": 5000000,
  "foundedDate": "2010-01-15T00:00:00Z",
  "registrationNumber": "12345678",
  "taxId": "98-7654321",
  "stage": "Prospect",
  "source": "Referral",
  "assignedUserId": "user-uuid",
  "emails": [
    {"value": "[email protected]", "type": "work", "isPrimary": true}
  ],
  "phones": [
    {"value": "+1-555-1234", "type": "main", "isPrimary": true}
  ],
  "addresses": [
    {
      "type": "headquarters",
      "street": "123 Business St",
      "city": "San Francisco",
      "state": "CA",
      "code": "94105",
      "country": "US"
    }
  ],
  "tags": ["enterprise", "prospect"]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Company name (required)

string | null

Industry sector

string | null

Company website

string | null

Company description

string | null

Company size (1-10, 11-50, 51-200, 201-500, 501-1000, 1001-5000, 5001+)

number | null

Annual revenue in dollars

date-time | null

Date company was founded

string | null

Business registration number

string | null

Tax identification number

string | null

Sales pipeline stage

string | null

Lead source

uuid | null

User to assign this company to

emails
array of objects

Email addresses

emails
phones
array of objects

Phone numbers

phones
addresses
array of objects

Physical addresses

addresses
tags
array of strings

Tags for categorization

tags
Responses
201

company created

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json